:root {
    --navigation-width: 18%;
    --border-radius: 5px;
    --side-bar-right-width: 40px;
    --bglight-alternative: #f3f6fc;
    --bs-primary: #0061a1;
    --bs-secondary: #028dfd;
    --bs-success: #00ac5f;
    --bs-info: #a193fb;
    --bs-warning: #FFE02E;
    --bs-danger: #f80900;
    --bs-light: #dae4fe;
    --bs-dark: #606D80;
    --bs-accent1: #ffbb22;
    --bs-accent2: #1d1f36;
    --bs-accent3: #68a0ca;
    --cont-background: #FFFFFF;
    --background: #F5F7F9;
    --main-text-color: #000000;
    --form-background: #EBEDEF;
    --link-base: #212529;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
    display: flex;
    height: 100%;
    width: 100%;
    color: var(--main-text-color);
    background: var(--background);
}

/* left navigation space */
#navigation {
    display: flex;
    flex-direction: column;
    width: var(--navigation-width);
    min-width: 250px;
    max-width: 300px;
    height: 100vh;
    overflow: hidden;
    padding-top: 20px;
    padding-right: 10px;
    padding-bottom: 20px;
    padding-left: 30px;
    color: var(--main-text-color);
    background: var(--background);
}

#tree-container {
  flex-grow: 1;
  overflow-y: auto;
  width: 100%;
  padding: 0px;
  padding-top: 0px;
  padding-bottom: 20px;
}

/* contains main content with plots and tables */
#details-container {
  flex-grow: 1;
  padding-top: 10px;
  border-radius: var(--border-radius);
  border: 1.5px solid var(--bs-light);
  background: var(--cont-background);
  position: relative;
  overflow-y: auto;
  overflow-x: hidden;
  width: 80%;
  padding-right: 10px;
  padding-left: 10px;
  margin-top: 15px;
  margin-right: 15px;
  margin-bottom: 15px;
  margin-left: 15px;
  box-shadow: 0 0 10px -2px rgba(0, 0, 0, 0.15);
  height: 97vh;
  display: flex;
  flex-direction: column;
}

/* navigation top */
#navbar {
  margin-bottom: 5px;
}

#table-switch {
  margin-left: 20px;
}


#breadcrumbs {
  padding-left: 10px;
}

/* navigation left */
#nav-form {
  padding-top: 10px;
}

#nav-form2 {
  padding-top: 10px;
}

#nav-form input {
  display: flex;
  align-self: stretch;
  height: 30px;
  border-radius: 7px;
  background-color: var(--form-background);
  border-width: 0px;
  width: 100%;
  padding: 15.5px 15px 15.5px 20px;
}

#nav-form2 input {
    border-top-right-radius: 7px;
    border-bottom-right-radius: 7px;
    background-color: var(--form-background);
    border-width: 0px;
}

body::-webkit-scrollbar {
  display: none;
}

::-webkit-scrollbar-track {
  margin-top: 20px;
  margin-bottom: 20px;
}

#tree-container::-webkit-scrollbar {
  display: block;
  width: 6px;
}

#details-container::-webkit-scrollbar {
  display: block;
  width: 6px;
}

#tree-container::-webkit-scrollbar-track {
    background: var(--background);
}

#details-container::-webkit-scrollbar-track {
  background: rgba(0,0,0,0);
}

#tree-container::-webkit-scrollbar-thumb {
  background: var(--bs-light);
  border-radius: 3px;
}

#details-container::-webkit-scrollbar-thumb {
  background: var(--bs-light);
  border-radius: 3px;
}

#tree-container::-webkit-scrollbar-thumb:hover {
  background: var(--bs-dark);
}

#details-container::-webkit-scrollbar-thumb:hover {
  background: var(--bs-dark);
}

/* elements */
/* affects whole document */
hr {
  margin-top: 5px;
}

img {
  margin: 20px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10px;
  margin-bottom: 0px;
  width: 30%;
}

h4 {
  padding-left: 10px;
}

h5 {
  text-align: center;
}

ul {
  list-style: none;
  padding-left: 10px;
}

ul li {
  margin: 5px;
}

a:link {
    color: var(--link-base);
}

h4 a {
    text-decoration: none;
}

.info-icon {
  padding-left: 10px;
  vertical-align: middle;
  color: var(--bs-light);
  font-size: 20px;
}

.info-icon-sm {
  padding-left: 10px;
  vertical-align: middle;
  color: var(--bs-light);
  font-size: 15px;
}

.blue-icon {
  padding-right: 10px;
  vertical-align: middle;
  color: var(--bs-primary);
}

.breadcrumb-item {
  color: var(--link-base);
}

.breadcrumb-last {
    color: var(--bs-primary);
    /* or any color you prefer */
    font-weight: bold;
}

.breadcrumb-separator {
  color: var(--link-base);
  margin: 0 5px;
}

.logo-container {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1;
}

.image-long-logo {
  width: 200px;
  opacity: 0.2;
  transform: translateY(-30%);
}

.content-container {
  position: relative;
}

.navigation-container {
  position: relative;
}

/* about tree in left navigation */

.tree-node {
  margin-left: 0px;
  padding-top: 2px;
  padding-left: 10px;
  position: relative;
}

.tree-node .collapse-icon {
  font-family: 'Material Symbols Rounded';
  font-size: 20px;
  line-height: 1;
  vertical-align: text-top;
  cursor: pointer;
  line-height: 20px;
}

.tree-node .collapse-icon::before {
  content: 'expand_more';
}

.tree-node.collapsed>.tree-node {
  display: none;
}

.tree-node.collapsed>.collapse-icon::before {
  content: 'chevron_right';
}

.selected {
  color: var(--bs-primary);
}

.tree-node:not(:has(.tree-node)) {
  padding-left: 30px;
  /* Adjust this value to match the space taken by the icon */
}

.nav-top{
  flex-shrink: 0;
}

.dropdown-menu {
  min-width: 260px;
}

.modal-backdrop {
  opacity: 0.8 !important;
}

/* cards */
.card {
    border-radius: var(--border-radius);
    background-color: var(--main-background);
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
  margin-bottom: 0px;
}
.card-header-overview {
  text-align: center;
  color: grey;
}

.card-title {
  margin-bottom: 0px;
}

.card-row {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
    gap: 1rem;
    margin-bottom: 2rem;
}

.span-s {
  font-size: 12px;
  color: grey;
  vertical-align: top;
  position: relative;
}

.trend-arrow {
  font-size: 12px;
  position: absolute;
  top: 2px;
}

.trend-value {
  padding-left: 15px;
}

/* Plots */
.plgraph {
  width: 100%;
  height: 350px;
  margin: 0px;
  margin-top: 0px;
}

.card-graph {
  font-size: 15px;
  padding-bottom: 5px;
}

/* right Control Center*/
.hover-trigger {
  position: fixed;
  right: 0;
  top: calc(50% - 35px);
  height: 70px;
  width: 35px;
  padding-top: 10px;

  background: var(--bs-accent2);
  flex-shrink: 0;
  border-radius: 70px 0 0 70px;
}


.btnDiv {
  width: 100%;
  left: 10px;
  bottom: 10px;
  position: absolute;
}

.chart-table-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: white;
  z-index: 180000;
  overflow: auto;
  padding: 10px;
  display: none;
}


.login_btn {
  background: var(--bs-primary);
  color: var(--bglight-alternative);
}

.login_bg {
  color: var(--bs-primary);
  background: var(--bglight-alternative);
}

.clickable-icon {
  cursor: pointer;
  font-size: 18px;
  transition: color 0.3s ease;
}

.clickable-icon:hover {
  color: var(--bs-accent2);
  /* Change this to your preferred hover color */
}


.material-symbols-rounded {
  font-variation-settings:
    'FILL' 1,
    'wght' 400,
    'GRAD' 0,
    'opsz' 20
}

tr {
  font-size: 14px;
}
th {
  padding-top: 0px;
}
.table > thead > tr > th {
  padding-top: 0px;
}

.table-striped {
  margin-top: 0px;
  margin-bottom: 0px;
}

